/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:linemod.c 12.0$ */
/* $ACIS:linemod.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libplot/t4014/RCS/linemod.c,v $ */

#ifndef lint
static char *rcsid = "$Header:linemod.c 12.0$";
#endif

#ifndef lint
static char sccsid[] = "@(#)linemod.c	4.1 (Berkeley) 6/27/83";
#endif

linemod(s)
char *s;
{
	char c;
	putch(033);
	switch(s[0]){
	case 'l':	
		c = 'd';
		break;
	case 'd':	
		if(s[3] != 'd')c='a';
		else c='b';
		break;
	case 's':
		if(s[5] != '\0')c='c';
		else c='`';
	}
	putch(c);
}
